#pragma once
#include <map>
struct M_NoviceRebateCFGData
{
	//任务ID
	int mId;
	//参与次数
	int mParticipationTime;
	//任务描述
	std::string mDesc;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	std::vector<int> mCompleteParam;
	//完成计数
	int mCompleteCount;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//额外最高返利
	int mRebate;
	//前往类型
	int mGoType;
	//索引
	int mIndex;
};

class M_NoviceRebateCFG
{
public:
private:
	static std::auto_ptr<M_NoviceRebateCFG> msSingleton;
public:
	int GetCount();
	const M_NoviceRebateCFGData* GetData(int Id);
	const std::map<int, M_NoviceRebateCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_NoviceRebateCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_NoviceRebateCFGData> mMapData;
};
